﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DecoAndCo
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("Bienvenue dans DecoAndCo");
            Console.WriteLine("nb de pièces");
            int nbPiece = Convert.ToInt32(Console.ReadLine());
            double surface = 0;
            for (int i=0;i<nbPiece;i++)
            {
                Piece p = LirePiece();
                double s = SurfaceMurs(p);
                Console.WriteLine("il faut peindre " + s + "m2 dans la pièce " +  p.nom);
                surface += s ;
            }
            Console.WriteLine("la surface totale de votre appart est de " + surface + " m2");
            Console.WriteLine("pouvoir couvrant de votre peinture");
            double pw = Convert.ToDouble(Console.ReadLine());
            Console.WriteLine("il vous faut " + NbPotPeinture(surface, pw) + " pots pour peindre votre appart");
            Console.ReadLine();
        }

        struct Piece
        {
            public string nom;
            public double longueur;
            public double largeur;
            public double hauteur;
        }

        static double SurfaceRectangle(double la, double lo)
        {
            return la * lo;
        }

        static Piece LirePiece()
        {
            Console.WriteLine("pièce ? (nom,long,lar,haut) ");
            Piece p;
            p.nom = Console.ReadLine();
            p.longueur = Convert.ToDouble(Console.ReadLine());
            p.largeur = Convert.ToDouble(Console.ReadLine());
            p.hauteur = Convert.ToDouble(Console.ReadLine());
            return p;
        }

        static double SurfaceMurs(Piece p)
        {
            return 2*(SurfaceRectangle(p.longueur,p.hauteur) +
                SurfaceRectangle(p.largeur, p.hauteur));
        }

        static int NbPotPeinture(double surface, double pouvoirCouvrant)
        {
            return (int)(surface / pouvoirCouvrant)+1;
        }
    }
}
